package com.bonus.canteen.core.pay.constants;

public enum AliPayTradeStatusEnum {
   REQUEST_CODE_SUCCESS("10000", "请求成功"),
   BUSINESS_CODE_INPROCESS("10003", "支付中"),
   BUSINESS_CODE_FAIL("40004", "业务处理失败"),
   BUSINESS_CODE_EXCEPTION("20000", "未知异常"),
   BUSINESS_STATUS_SUCCESS("ACQ.TRADE_HAS_SUCCESS", "交易已被支付"),
   TRADE_STATUS_CLOSED("TRADE_CLOSED", "交易关闭"),
   TRADE_STATUS_FINISHED("TRADE_FINISHED", "交易完结"),
   TRADE_STATUS_SUCCESS("TRADE_SUCCESS", "支付成功"),
   TRADE_STATUS_WAIT("WAIT_BUYER_PAY", "交易创建"),
   TRADE_STATUS_CANCEL_CLOSE("close", "交易关闭，无退款"),
   TRADE_STATUS_CANCEL_REFUND("refund", "交易关闭，有退款"),
   TRADE_STATUS_REFUND_SUCC("Y", "退款成功");

   private final String key;
   private final String desc;

   private AliPayTradeStatusEnum(String key, String desc) {
      this.key = key;
      this.desc = desc;
   }

   public String getKey() {
      return this.key;
   }

   public String getDesc() {
      return this.desc;
   }

}
